@import "../../styles/3-helpers/_mixins-media";
.wrapper {
  display: flex;
  flex-flow: column wrap;
  gap: var(--spaceY-xxl);
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.search-container {
  display: flex;
  justify-content: space-between;
  gap: var(--spaceX-xl);
}

img {
  aspect-ratio: 16/9;
  object-fit: cover;
}

.action {
  display: flex;
  justify-items: center;
  align-items: center;
  gap: var(--spaceX-md);

  span {
    align-self: center;

    font-size: 13px;
  }
}

.pagination {
  padding: var(--spaceY-xxl) 0;

  display: flex;
  justify-content: center;
  gap: var(--spaceX-sm);
}

.modal {
  position: fixed;
  top: 0;
  left: 0;

  width: 100%;
  height: 100%;

  background-color: hsla(var(--primary-background), 0.7);

  backface-visibility: hidden;
  z-index: 10;
}

.modal-content {
  position: relative;
  top: 40%;
  left: 50%;
  padding: var(--spaceX-xl);

  display: flex;
  flex-direction: column;
  gap: var(--spaceY-xxl);

  width: 65%;

  background-color: var(--primary-5);

  transform: translate(-50%, -40%);

  @include screen-md {
    top: 30%;
    left: 50%;
    transform: translate(-50%, -30%);

    max-width: 50%;
  }
}

.modal-actions {
  display: flex;
  justify-content: end;
  gap: var(--spaceX-lg);
}
